## mysqltuner 2.5.2

=== Makefile ===
VERSION=$(shell grep '\- Version ' mysqltuner.pl | awk '{ print $$NF}')
UPDATE_SUB_VERSION=$(shell echo $(VERSION) | awk -F. '{ print $$1"."$$2"."$$3+1 }')
UPDATE_MINOR_VERSION=$(shell echo $(VERSION) | awk -F. '{ print $$1"."$$2+1".0" }')
UPDATE_MAJOR_VERSION=$(shell echo $(VERSION) | awk -F. '{ print $$1+1".0.0" }')

all: generate_cve generate_features generate_usage tidy increment_sub_version 

help:
	@echo "Usage: make <target>"
	@echo "  help:              Show this help"
	@echo "  generate_usage:    Generate USAGE.md"
	@echo "  generate_cve:      Generate vulnerabilities.csv"
	@echo "  generate_features: Generate FEATURES.md"
	@echo "  tidy:              Tidy mysqltuner.pl"
	@echo "  installdep_debian: Install dependencies on Debian"
	@echo "  increment_sub_version: Increment sub version"
	@echo "  increment_minor_version: Increment minor version"
	@echo "  increment_major_version: Increment major version"
	@echo "  push:              Push to GitHub"


installdep_debian:
	apt install -y cpanminus libpod-markdown-perl libwww-mechanize-gzip-perl perltidy dos2unix
	cpanm File::Util

tidy:
	dos2unix ./mysqltuner.pl
	perltidy -b ./mysqltuner.pl
	git add ./mysqltuner.pl
	git commit -m "Indenting mysqltuner at $(shell date --iso=seconds)"

generate_usage:
	pod2markdown mysqltuner.pl >USAGE.md
	git add ./USAGE.md
	git commit -m "Generate USAGE.md at $(shell date --iso=seconds)"

generate_cve:
	perl ./build/updateCVElist.pl
	git add ./vulnerabilities.csv
	git commit -m "Generate CVE list at $(shell date --iso=seconds)"

generate_features:
	perl ./build/genFeatures.sh
	git add ./FEATURES.md
	git commit -m "Generate FEATURES.md at $(shell date --iso=seconds)"

increment_sub_version:
	@echo "Incrementing sub version from $(VERSION) to $(UPDATE_SUB_VERSION)"
	sed -i "s/$(VERSION)/$(UPDATE_SUB_VERSION)/" mysqltuner.pl *.md .github/workflows/*.yml
	git add ./*.md ./mysqltuner.pl
	git commit -m "Generate $(UPDATE_SUB_VERSION) sub version at $(shell date --iso=seconds)"
	git tag -a v$(UPDATE_SUB_VERSION) -m "Generate $(UPDATE_SUB_VERSION) sub version at $(shell date --iso=seconds)"
	git push --tags

increment_minor_version:
	@echo "Incrementing minor version from $(VERSION) to $(UPDATE_MINOR_VERSION)"
	sed -i "s/$(VERSION)/$(UPDATE_MINOR_VERSION)/" mysqltuner.pl *.md .github/workflows/*.yml
	git add ./*.md ./mysqltuner.pl
	git commit -m "Generate $(UPDATE_MINOR_VERSION) minor version at $(shell date --iso=seconds)"
	git tag -a v$(UPDATE_MINOR_VERSION) -m "Generate $(UPDATE_MINOR_VERSION) minor version at $(shell date --iso=seconds)"
	git push --tags

increment_major_version:
	@echo "Incrementing major version from $(VERSION) to $(UPDATE_MAJOR_VERSION)"
	sed -i "s/$(VERSION)/$(UPDATE_MAJOR_VERSION)/" mysqltuner.pl *.md .github/workflows/*.yml
	git add ./*.md ./mysqltuner.pl
	git commit -m "Generate $(UPDATE_SUB_VERSION) major version at $(shell date --iso=seconds)"
	git tag -a v$(UPDATE_MINOR_VERSION) -m "Generate $(UPDATE_MAJOR_VERSION) major version at $(shell date --iso=seconds)"
	git push --tags

push:
	git push

## mysqltuner 1.1.0

=== debian/changelog ===
mysqltuner (1.1.0) unstable; urgency=low

  * New release (Closes: #497639)

 -- Marcela Tiznado <mlt@debian.org>  Sun, 15 Nov 2009 23:59:46 -0300

mysqltuner (0.9.0) unstable; urgency=low

  * New release
  * Colours fixed by new release (Closes: #470588)
  * Removed debian/watch
  * Updated manpage

 -- Marcela Tiznado <mlt@debian.org>  Sun, 25 May 2008 03:11:25 -0300

mysqltuner (0.1rev29-1) unstable; urgency=low

  * New release
  * Added debian/watch

 -- Marcela Tiznado <mlt@debian.org>  Sun, 20 Jan 2008 03:50:25 -0200

mysqltuner (0.1-1) unstable; urgency=low

  * Initial release (Closes: #457266)

 -- Marcela Tiznado <mlt@debian.org>  Sat, 22 Dec 2007 03:48:59 -0300

=== debian/control ===
Source: mysqltuner
Section: admin
Priority: extra
Maintainer: Marcela Tiznado <mlt@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.3

Package: mysqltuner
Architecture: all
Depends: perl 
Recommends: mysql-server
Description: high-performance MySQL tuning script 
 High-performance MySQL tuning script written in perl that will provide
 you with a snapshot of a MySQL server?s health. Based on the statistics
 gathered, specific recommendations will be provided that will increase a
 MySQL server's efficiency and performance. The script gives you
 automated MySQL tuning that is on the level of what you would receive
 from a MySQL DBA.
 .
 Features:
 .
    * Memory Usage: Calculates MySQL memory usage at max load and makes
      recommendations for increasing or decreasing the MySQL memory
      footprint. Per-thread and server-wide buffer data is calculated
      separately for an accurate snapshot of the server?s configuration.
    * Slow Queries: Reviews the amount of slow queries relative to the
      total queries. Slow query time limits are also analyzed and
      recommendations are made.
    * Connections: Current and historical connection counts are
      reviewed.
    * Key Buffer: Takes configuration data and compares it to the actual
      indexes found in MyISAM tables. Key cache hit rates are calculated
      and variable adjustments are suggested.
    * Query Cache: Query cache hit rates and usage percentages are used
      to make recommendations for the query cache configuration
      variables.
    * Sorting & Joins: Per-thread buffers that affect sorts and joins
      are reviewed along with the statistics from the queries run
      against the server.
    * Temporary Tables: Variable recommendations are made to reduce
      temporary tables that are written to the disk.
    * Table Cache: Compares total tables opened to the currently open
      tables. Calculates the table cache hit rate in order to make
      suggestions.
    * Open Files: Determines if the server will approach or run into the
      open file limit set by the operating system or the MySQL server
      itself.
    * Table Locks: Finds table locking that forces queries to wait and
      makes suggestions for reducing locks that require a wait.
    * Thread Cache: Calculates how many times MySQL must create a new
      thread to respond to a query.
    * Aborted Connections: Finds applications that are not closing
      connections to MySQL properly.
    * Read/Write Ratios: Calculates the percentage of read and write
      operations on your MySQL installation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
#	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/mysqltuner.
	#$(MAKE) install DESTDIR=`pwd`/debian/mysqltuner
	install -m755 mysqltuner.pl debian/mysqltuner/usr/bin/
	mv debian/mysqltuner/usr/bin/mysqltuner.pl debian/mysqltuner/usr/bin/mysqltuner	
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installman debian/mysqltuner.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mysqltuner 1.2.0

=== debian/changelog ===
mysqltuner (1.2.0-1) unstable; urgency=low

  * New Maintainer.
  * New upstream release. (Closes: #629652)
  * New Standards-Version: 3.9.3
  * New Source format: 3.0
  * debian/copyright: switch to DEP-5.
  * debian/rules: switch to dh7.
  * debian/watch: add.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 22 Jun 2012 14:31:03 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: mysqltuner
 Section: admin
 Priority: extra
-Maintainer: Marcela Tiznado <mlt@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.3
+Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.3
+Homepage: http://mysqltuner.com
+Vcs-Git: git://anonscm.debian.org/collab-maint/mysqltuner.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysqltuner.git
+
 
 Package: mysqltuner
 Architecture: all
-Depends: perl 
+Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: mysql-server
 Description: high-performance MySQL tuning script 
  High-performance MySQL tuning script written in perl that will provide

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -m 755 mysqltuner.pl debian/mysqltuner/usr/bin/
	mv debian/mysqltuner/usr/bin/mysqltuner.pl debian/mysqltuner/usr/bin/mysqltuner

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/rackerhacker/MySQLTuner-perl /v(.*).tar.gz

## mysqltuner 1.3.0

=== debian/changelog ===
mysqltuner (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 3.9.5
  * debian/watch: update.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 27 Mar 2014 13:42:29 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://mysqltuner.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/mysqltuner.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysqltuner.git
-
 
 Package: mysqltuner
 Architecture: all

## mysqltuner 1.3.0+git20140812

=== debian/changelog ===
mysqltuner (1.3.0+git20140812-1) unstable; urgency=medium

  * sync with upstream git repository.
  * New Standards-Version: 3.9.6

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 22 Oct 2014 14:15:54 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mysqltuner.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/mysqltuner.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysqltuner.git

## mysqltuner 1.5.1

=== debian/changelog ===
mysqltuner (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Use generated manpage instead of debian's.
  * Change package section from admin to database.
  * Add virtual mysql package to its dependency. (Closes: #781973)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 09 Sep 2015 12:25:03 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mysqltuner
-Section: admin
+Section: database
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 9), perl (>= 5.6)
 Standards-Version: 3.9.6
 Homepage: http://mysqltuner.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/mysqltuner.git
@@ -11,7 +11,7 @@
 Package: mysqltuner
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
-Recommends: mysql-server
+Recommends: mysql-server | virtual-mysql-server
 Description: high-performance MySQL tuning script 
  High-performance MySQL tuning script written in perl that will provide
  you with a snapshot of a MySQL server?s health. Based on the statistics

## mysqltuner 1.6.0

=== debian/changelog ===
mysqltuner (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    - support report templating feature.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 26 Nov 2015 15:00:11 +0900

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: mysql-server | virtual-mysql-server
+ , libtext-template-perl
 Description: high-performance MySQL tuning script 
  High-performance MySQL tuning script written in perl that will provide
  you with a snapshot of a MySQL server?s health. Based on the statistics

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh $@
 
 override_dh_auto_install:
+	pod2man mysqltuner.pl > mysqltuner.1
 	dh_auto_install
 	install -m 755 mysqltuner.pl debian/mysqltuner/usr/bin/
 	mv debian/mysqltuner/usr/bin/mysqltuner.pl debian/mysqltuner/usr/bin/mysqltuner

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/rackerhacker/MySQLTuner-perl/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mysqltuner 1.6.18

=== debian/changelog ===
mysqltuner (1.6.18-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 3.9.8

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 13 Oct 2016 19:28:02 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 9), perl (>= 5.6)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mysqltuner.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/mysqltuner.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysqltuner.git

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/major/MySQLTuner-perl/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mysqltuner 1.7.2

=== debian/changelog ===
mysqltuner (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 4.0.0
  * fix to recommends metapackage default-mysql-server. (Closes: #848442)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 06 Jul 2017 19:35:34 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 9), perl (>= 5.6)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://mysqltuner.com
-Vcs-Git: git://anonscm.debian.org/collab-maint/mysqltuner.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysqltuner.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mysqltuner.git/
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mysqltuner.git/
 
 Package: mysqltuner
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
-Recommends: mysql-server | virtual-mysql-server
+Recommends: default-mysql-server | virtual-mysql-server
  , libtext-template-perl
 Description: high-performance MySQL tuning script 
  High-performance MySQL tuning script written in perl that will provide

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh $@
 
 override_dh_auto_install:
+	chmod -x *.csv
 	pod2man mysqltuner.pl > mysqltuner.1
 	dh_auto_install
 	install -m 755 mysqltuner.pl debian/mysqltuner/usr/bin/

## mysqltuner 1.7.13

=== debian/changelog ===
mysqltuner (1.7.13-1) unstable; urgency=medium

  * New upstream release.
  * New Standards-Version: 4.3.0
  * Move to salsa.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 05 Jan 2019 12:58:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: mysqltuner
 Section: database
-Priority: extra
+Priority: optional
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Build-Depends: debhelper (>= 9), perl (>= 5.6)
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12), perl (>= 5.6)
+Standards-Version: 4.3.0
 Homepage: http://mysqltuner.com
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mysqltuner.git/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mysqltuner.git/
+Vcs-Git: https://salsa.debian.org/debian/mysqltuner.git
+Vcs-Browser: https://salsa.debian.org/debian/mysqltuner
 
 Package: mysqltuner
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: default-mysql-server | virtual-mysql-server
  , libtext-template-perl
-Description: high-performance MySQL tuning script 
+Description: high-performance MySQL tuning script
  High-performance MySQL tuning script written in perl that will provide
  you with a snapshot of a MySQL server?s health. Based on the statistics
  gathered, specific recommendations will be provided that will increase a
@@ -56,4 +56,4 @@
     * Aborted Connections: Finds applications that are not closing
       connections to MySQL properly.
     * Read/Write Ratios: Calculates the percentage of read and write
-      operations on your MySQL installation. 
+      operations on your MySQL installation.

## mysqltuner 1.7.17

=== debian/changelog ===
mysqltuner (1.7.17-1) unstable; urgency=medium

  [ KURASHIKI Satoru ]
  * New upstream release. (Closes: #976660)
  * New Standars-Version: 4.5.1
  * d/homepage: update from expired domain.

  [ Dmitry Smirnov ]
  * d/control: Recommends += procps

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 03 Jan 2021 12:08:42 +0900

mysqltuner (1.7.13-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 12), debhelper-compat (= 12), perl (>= 5.6)
-Standards-Version: 4.3.0
-Homepage: http://mysqltuner.com
+Standards-Version: 4.5.1
+Homepage: https://github.com/major/MySQLTuner-perl
 Vcs-Git: https://salsa.debian.org/debian/mysqltuner.git
 Vcs-Browser: https://salsa.debian.org/debian/mysqltuner
 
@@ -13,6 +13,7 @@
 Depends: ${misc:Depends}, ${perl:Depends}
 Recommends: default-mysql-server | virtual-mysql-server
  , libtext-template-perl
+ , procps
 Description: high-performance MySQL tuning script
  High-performance MySQL tuning script written in perl that will provide
  you with a snapshot of a MySQL server?s health. Based on the statistics

=== debian/watch ===
version=4

https://github.com/major/MySQLTuner-perl/releases .*[^n]/v?(\d\S*)@ARCHIVE_EXT@ debian uupdate

## mysqltuner 1.9.9

=== debian/changelog ===
mysqltuner (1.9.9-1) unstable; urgency=medium

  * New upstream release. (Closes: #1022271)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 10 Feb 2023 15:42:51 +0900

mysqltuner (1.7.17-2) UNRELEASED; urgency=medium

  [ KURASHIKI Satoru ]
  * New Standards-Version: 4.6.2
  * d/watch: fix (by Daniel Lewart)

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on perl.

 -- Debian Janitor <janitor@jelmer.uk>  Fri, 04 Nov 2022 16:03:55 -0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: database
 Priority: optional
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12), perl (>= 5.6)
-Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12), perl
+Standards-Version: 4.6.2
+Rules-Requires-Root: binary-targets
 Homepage: https://github.com/major/MySQLTuner-perl
 Vcs-Git: https://salsa.debian.org/debian/mysqltuner.git
 Vcs-Browser: https://salsa.debian.org/debian/mysqltuner
@@ -14,6 +15,7 @@
 Recommends: default-mysql-server | virtual-mysql-server
  , libtext-template-perl
  , procps
+Multi-Arch: foreign
 Description: high-performance MySQL tuning script
  High-performance MySQL tuning script written in perl that will provide
  you with a snapshot of a MySQL server?s health. Based on the statistics

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,9 @@
 	dh $@
 
 override_dh_auto_install:
-	chmod -x *.csv
 	pod2man mysqltuner.pl > mysqltuner.1
+	chmod -x vulnerabilities.csv
 	dh_auto_install
+	sed -i '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' mysqltuner.pl
 	install -m 755 mysqltuner.pl debian/mysqltuner/usr/bin/
 	mv debian/mysqltuner/usr/bin/mysqltuner.pl debian/mysqltuner/usr/bin/mysqltuner	
-

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/major/MySQLTuner-perl/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
#https://github.com/major/MySQLTuner-perl/releases .*[^n]/v?(\d\S*)@ARCHIVE_EXT@ debian uupdate

## mysqltuner 2.2.12

=== debian/changelog ===
mysqltuner (2.2.12-2) unstable; urgency=low

  * drop examples for size issues.
  * added Multi-arch: foreign

 -- Cord Beermann <cord@debian.org>  Sun, 17 Dec 2023 13:04:58 +0100

mysqltuner (2.2.12-1) unstable; urgency=medium

  * Taking over and rebuild package from scratch. (closes: #1053393)
    + added cleanup for manpage and fixing of executable (closes: #1038051)
    + updated documentation-files
    + updated debhelper version
    + fix Rules-Requires-Root
    + update Source-Link
    + remove Vagrant-Files from Package
    + add lintian-overrides
    + fix debian/watch
    + adding libjson-perl to recommends.
  * New upstream release 2.2.12

 -- Cord Beermann <cord@debian.org>  Sun, 10 Dec 2023 10:51:17 +0100

mysqltuner (1.9.9-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer field to QA Group.
    - Acked by previous maintainer.
      He intends to orphan package, but he does not have his time.
      Thanks to Satoru KURASHIKI <lurdan@gmail.com> for previous works.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 03 Oct 2023 17:48:33 +0900

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	pod2man mysqltuner.pl > mysqltuner.1

override_dh_auto_install:
	dh_auto_install
	cp mysqltuner.pl debian/mysqltuner/usr/bin/mysqltuner
	sed -i '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' debian/mysqltuner/usr/bin/mysqltuner

override_dh_auto_clean:
	dh_auto_clean
	rm -f mysqltuner.1

## mysqltuner 2.5.2

=== debian/changelog ===
mysqltuner (2.5.2-2) unstable; urgency=low

  * Fix metadata for patch.

 -- Cord Beermann <cord@debian.org>  Sat, 24 Feb 2024 22:20:55 +0100

mysqltuner (2.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Cord Beermann <cord@debian.org>  Thu, 08 Feb 2024 19:19:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,17 @@
 Source: mysqltuner
 Section: database
 Priority: optional
-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12), perl
+Maintainer: Cord Beermann <cord@debian.org>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), perl
 Standards-Version: 4.6.2
-Rules-Requires-Root: binary-targets
 Homepage: https://github.com/major/MySQLTuner-perl
-Vcs-Git: https://salsa.debian.org/debian/mysqltuner.git
-Vcs-Browser: https://salsa.debian.org/debian/mysqltuner
 
 Package: mysqltuner
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${perl:Depends}
-Recommends: default-mysql-server | virtual-mysql-server
- , libtext-template-perl
- , procps
-Multi-Arch: foreign
+Recommends: default-mysql-server | virtual-mysql-server, libtext-template-perl, libjson-perl, procps
 Description: high-performance MySQL tuning script
  High-performance MySQL tuning script written in perl that will provide
  you with a snapshot of a MySQL server?s health. Based on the statistics

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/major/MySQLTuner-perl/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## mysqltuner 2.6.0

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 
 
 installdep_debian:
-	apt install -y cpanminus libpod-markdown-perl libwww-mechanize-gzip-perl perltidy dos2unix
-	cpanm File::Util
+	sudo apt install -y cpanminus libpod-markdown-perl libwww-mechanize-gzip-perl perltidy dos2unix
+	sudo cpanm File::Util
+	curl -sL https://raw.githubusercontent.com/slimtoolkit/slim/master/scripts/install-slim.sh | sudo -E bash -
 
 tidy:
 	dos2unix ./mysqltuner.pl
@@ -39,6 +40,10 @@
 	git add ./vulnerabilities.csv
 	git commit -m "Generate CVE list at $(shell date --iso=seconds)"
 
+generate_version_file:
+	rm -f CURRENT_VERSION.txt
+	grep "# mysqltuner.pl - Version" ./mysqltuner.pl | awk '{ print $$NF}' > CURRENT_VERSION.txt
+	
 generate_features:
 	perl ./build/genFeatures.sh
 	git add ./FEATURES.md
@@ -68,5 +73,18 @@
 	git tag -a v$(UPDATE_MINOR_VERSION) -m "Generate $(UPDATE_MAJOR_VERSION) major version at $(shell date --iso=seconds)"
 	git push --tags
 
+docker_build:
+	docker build . -t jmrenouard/mysqltuner:latest -t jmrenouard/mysqltuner:$(VERSION)
+
+docker_slim:
+	docker run --rm -it --privileged -v /var/run/docker.sock:/var/run/docker.sock -v $(PWD):/root/app -w /root/app jmrenouard/mysqltuner:latest slim build
+
+docker_push: docker_build
+	bash build/publishtodockerhub.sh $(VERSION)
+	
+
 push:
 	git push
+
+pull:
+	git pull

=== debian/changelog ===
mysqltuner (2.6.0-1) unstable; urgency=medium

  * New upstream release.
    + Drop all patches

 -- Cord Beermann <cord@debian.org>  Tue, 06 Aug 2024 21:24:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Cord Beermann <cord@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), perl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/major/MySQLTuner-perl
 
 Package: mysqltuner

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,12 @@
 override_dh_auto_install:
 	dh_auto_install
 	cp mysqltuner.pl debian/mysqltuner/usr/bin/mysqltuner
-	sed -i '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' debian/mysqltuner/usr/bin/mysqltuner
+	sed -i '1s|^#!/bin/env perl|#!/usr/bin/perl|' debian/mysqltuner/usr/bin/mysqltuner
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f mysqltuner.1
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod a-x debian/mysqltuner/usr/share/mysqltuner/*

=== debian/watch ===
version=4

# official updates
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/major/MySQLTuner-perl/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

# inofficial updates
#opts="mode=git, gitmode=full, pgpmode=none, pretty=2.5.2+git%cd.%h, repack, compression=xz" \
#        https://github.com/major/MySQLTuner-perl.git heads/master \
#        debian uupdate

## mysqltuner 2.6.0.45.g75addf3

=== debian/changelog ===
mysqltuner (2.6.0.45.g75addf3-1) unstable; urgency=medium

  * New untagged upstream release.
  * Updated debian/watch to V5
  * Bumped Policy to 4.7.2 (no changes)
  * Make linitian happy
    + update hashbang replacement

 -- Cord Beermann <cord@debian.org>  Fri, 22 Aug 2025 15:48:43 +0200

## mysqltuner 2.6.0.79.g9185d90

=== debian/changelog ===
mysqltuner (2.6.0.79.g9185d90-1) unstable; urgency=medium

  * New pull from github
    + Fixes wrongly reported "unsupported" MySQL-message for the current stable version in trixie.

 -- Cord Beermann <cord@debian.org>  Sat, 13 Sep 2025 10:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Cord Beermann <cord@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), perl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/major/MySQLTuner-perl
 
 Package: mysqltuner

=== debian/watch ===
Version: 5

# official updates
#Source: https://github.com/major/MySQLTuner-perl/tags
#Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
#Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
#Update-Script: uupdate

# inofficial updates
Source: https://github.com/major/MySQLTuner-perl.git
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
#Pretty: 2.6.0+git%cd.%h
Pretty: describe
Filename-Mangle: s/^(@PACKAGE@-)v/$1/
Repack: yes
Update-Script: uupdate

## mysqltuner 2.7.0

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,13 @@
 generate_version_file:
 	rm -f CURRENT_VERSION.txt
 	grep "# mysqltuner.pl - Version" ./mysqltuner.pl | awk '{ print $$NF}' > CURRENT_VERSION.txt
-	
+
+generate_eof_files:
+	bash ./build/endoflife.sh mariadb 
+	bash ./build/endoflife.sh mysql
+	git add ./*_support.md
+	git commit -m "Generate End Of Life (endoflive.date) at $(shell date --iso=seconds)"
+
 generate_features:
 	perl ./build/genFeatures.sh
 	git add ./FEATURES.md

=== debian/changelog ===
mysqltuner (2.7.0-1) unstable; urgency=medium

  * New upstream release. (no changes in Upstream sicne last git pull)
  * updated debian/watch (closes: #1116682)
  * Lintian
    + fix debian-changelog-line-too-long (closes: #1116683)
    + remove Rules-Requires-Root from d/control
    + adding more ignores for examples-directory

 -- Cord Beermann <cord@debian.org>  Sat, 11 Oct 2025 10:54:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: database
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), perl
 Standards-Version: 4.7.2
 Homepage: https://github.com/major/MySQLTuner-perl

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	cp mysqltuner.pl debian/mysqltuner/usr/bin/mysqltuner
-	sed -i '1s|^#!/bin/env perl|#!/usr/bin/perl|' debian/mysqltuner/usr/bin/mysqltuner
+	sed -i '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' debian/mysqltuner/usr/bin/mysqltuner
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
Version: 5

# official updates
Template: Github
Owner: major
Project: MySQLTuner-perl
Update-Script: uupdate

# inofficial updates
#Source: https://github.com/major/MySQLTuner-perl.git
#Matching-Pattern: HEAD
#Mode: git
#Git-Pretty: describe
#Filename-Mangle: s/^(@PACKAGE@-)v/$1/
#Repack: yes
#Update-Script: uupdate

## mysqltuner 2.8.29

=== Makefile ===
--- 
+++ 
@@ -17,11 +17,13 @@
 	@echo "  increment_minor_version: Increment minor version"
 	@echo "  increment_major_version: Increment major version"
 	@echo "  push:              Push to GitHub"
+	@echo "  vendor_setup:      Setup external test repositories (multi-db-docker-env, test_db)"
+	@echo "  test:              Run multi-version database tests (requires Docker)"
+	@echo "  clean_examples:    Cleanup examples directory (KEEP=n, default 5)"
 
 
 installdep_debian:
-	sudo apt install -y cpanminus libpod-markdown-perl libwww-mechanize-gzip-perl perltidy dos2unix
-	sudo cpanm File::Util
+	sudo apt install -y cpanminus libfile-util-perl libpod-markdown-perl libwww-mechanize-gzip-perl perltidy dos2unix
 	curl -sL https://raw.githubusercontent.com/slimtoolkit/slim/master/scripts/install-slim.sh | sudo -E bash -
 
 tidy:
@@ -43,12 +45,14 @@
 generate_version_file:
 	rm -f CURRENT_VERSION.txt
 	grep "# mysqltuner.pl - Version" ./mysqltuner.pl | awk '{ print $$NF}' > CURRENT_VERSION.txt
+	git add ./CURRENT_VERSION.txt
+	git commit -m "Generate CURRENT_VERSION.txt at $(shell date --iso=seconds)"
 
 generate_eof_files:
 	bash ./build/endoflife.sh mariadb 
 	bash ./build/endoflife.sh mysql
 	git add ./*_support.md
-	git commit -m "Generate End Of Life (endoflive.date) at $(shell date --iso=seconds)"
+	git commit -m "Generate End Of Life (endoflive.date) at $(shell date --iso=seconds)" || echo "No changes to commit"
 
 generate_features:
 	perl ./build/genFeatures.sh
@@ -89,6 +93,32 @@
 	bash build/publishtodockerhub.sh $(VERSION)
 	
 
+vendor_setup:
+	@echo "Setting up vendor repositories..."
+	mkdir -p vendor
+	if [ ! -d "vendor/multi-db-docker-env" ]; then \
+		git clone https://github.com/jmrenouard/multi-db-docker-env vendor/multi-db-docker-env; \
+	else \
+		cd vendor/multi-db-docker-env && git pull; \
+	fi
+	if [ ! -d "vendor/test_db" ]; then \
+		git clone https://github.com/jmrenouard/test_db vendor/test_db; \
+	else \
+		cd vendor/test_db && git pull; \
+	fi
+
+test: vendor_setup
+	@echo "Running MySQLTuner tests..."
+	bash build/test_envs.sh $(CONFIGS)
+
+test-all: vendor_setup
+	@echo "Running all MySQLTuner tests..."
+	bash build/test_envs.sh
+
+clean_examples:
+	@echo "Cleaning up examples..."
+	bash build/clean_examples.sh $(KEEP)
+
 push:
 	git push

=== debian/changelog ===
mysqltuner (2.8.29-1) unstable; urgency=medium

  * Switch to new upstream. (closes: #1125981) thank you
    + refreshed all references in debian/* to https://github.com/major to
      https://github.com/jmrenouard
  * New upstream release
    + container-awareness
    + cloud mode (experimental)
    + vulnerabilities.csv no longer part of the package
  * Bumped Policy to 4.7.3 (cleaned d/control)

 -- Cord Beermann <cord@debian.org>  Sat, 24 Jan 2026 16:24:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mysqltuner
 Section: database
-Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
 Build-Depends: debhelper-compat (= 13), perl
-Standards-Version: 4.7.2
-Homepage: https://github.com/major/MySQLTuner-perl
+Standards-Version: 4.7.3
+Homepage: https://github.com/jmrenouard/MySQLTuner-perl
 
 Package: mysqltuner
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_test:
+	#
 
 override_dh_auto_build:
 	pod2man mysqltuner.pl > mysqltuner.1

=== debian/watch ===
Version: 5

# official updates
Template: Github
Owner: jmrenouard
Project: MySQLTuner-perl
Update-Script: uupdate

# inofficial updates
#Source: https://github.com/jmrenouard/MySQLTuner-perl.git
#Matching-Pattern: HEAD
#Mode: git
#Git-Pretty: describe
#Filename-Mangle: s/^(@PACKAGE@-)v/$1/
#Repack: yes
#Update-Script: uupdate
